Option Explicit

Dim oLdap, UserID, oRS, cntr, item
Dim Found(1, 50)

Const adVariant = 12

Set oLdap = CreateObject("JustLDAP.Admin")
UserID = InputBox("Enter a Login ID to search for - e.g. bobuser")
If UserID = "" Then
  Wscript.Echo("No Login ID entered - exiting...")
  Wscript.Quit
End If

Set oRS = oLdap.Lookup("sAMAccountName", UserID, "sn, givenName, mail, employeeID, telephoneNumber, directReports")

cntr = 0
If Not IsNull(oRS) Then
  While Not oRS.EOF
    For Each Item In oRS.Fields
      If Not IsNull(Item.Value) Then
        Found(1,cntr) = Item.Value
          If Item.Type <> adVariant then    ' This code checks for "multivalued" fields such as "directReports"
            Wscript.Echo(Item.Value)          ' Which returns a VARIANT ARRAY. The array can be enumerated
          else                                         ' if required -  (see lookupusing sample "for each loop" for how to do this) 
            Wscript.Echo("- multivalued -")   ' Here we just note that a multivalued attribute exists
          End If                                       ' in the last item we asked for (directReports).
      End If
      cntr = cntr + 1
    Next
  oRS.MoveNext
  Wend
End If 
Set oRS = Nothing
Set oLdap = Nothing

