'
' JustLDAP test script for user membership in a named group.
' Note: You do not need to specify the full Group distinguishedName path.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - Group and UserID (sAMAccountName) i.e. User Login name
' Returns Boolean True or False
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.IsUserMemberOfGroup("International Sales", "newuser")


  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    if Result = True then
      Wscript.Echo "User is a member of the group."
    else
      Wscript.Echo "User is not a member of the group."
    End If

  End If

Set oLdap = Nothing


