'
' JustLDAP test script for testing if a set of user account credentials are valid or not.
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), Password
'
' Returns Variant - 0 (Integer) indicating User credentials are valid. Otherwise
' an ADSI error number is returned.
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.TestUserCredentials("bobuser", "top55secret$")

  if Result = 0 Then

    Wscript.Echo("User Authentication Passed")
  
  else
 
   Result = oLdap.GetLastErrorAsMessage()

   Wscript.Echo Result
   
   Wscript.Echo("User Authentication Failed")

  End If
 
  

Set oLdap = Nothing

